/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *         CLASS SPASSAPPLICATIONS                        * */
/* *                                                        * */
/* *  $Module:   SPASSAPPLICATIONS                          * */ 
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:30 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef _SPASSAPPLICATIONS_
#define _SPASSAPPLICATIONS_

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <q3process.h>
#include <qstring.h>

/* This class hold all applications employed by the desktop. */
class SPASSApplications {
 public:
  SPASSApplications(void);
  ~SPASSApplications(void);

  static const QString SPASS;
  static const QString DFG2ASCII;
  static const QString DFG2DFG;

  Q3Process* dfg2asciiProcess;
  Q3Process* dfg2dfgProcess;
  Q3Process* spassProcess;
};

#endif /* _SPASSAPPLICATIONS_ */
