/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSTOOLOPTIONS                    * */
/* *                                                        * */
/* *  $Module:   SPASSTOOLOPTIONS                           * */ 
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef SPASSTOOLOPTIONS
#define SPASSTOOLOPTIONS

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <qcombobox.h>
#include <q3hbox.h>
#include <qlabel.h>
#include <qstring.h>
#include <qwidget.h>

/*
  This class implements a tool options box.
  The box is horizontal, and contains a label and a line input.
*/

class SPASSToolOptions : public Q3HBox
{
Q_OBJECT
  public:

	SPASSToolOptions(QWidget* parent = NULL, const char* name=NULL, Qt::WFlags f = 0);

	private: 
        static const QString OPTIONS_LABEL; 
	static const QString OPTIONS_TOOLTIP;
	static const int WIDGET_SPACING;
	static const int WIDGET_MARGIN;
	QLabel label;

	public:
	QComboBox edit;
};
#endif
